Blame tests/long-crl.sh

Packit aea12f
#!/bin/sh
Packit aea12f
Packit aea12f
# Copyright (C) 2014 Red Hat
Packit aea12f
#
Packit aea12f
# Author: Nikos Mavrogiannopoulos
Packit aea12f
#
Packit aea12f
# This file is part of GnuTLS.
Packit aea12f
#
Packit aea12f
# GnuTLS is free software; you can redistribute it and/or modify it
Packit aea12f
# under the terms of the GNU General Public License as published by the
Packit aea12f
# Free Software Foundation; either version 3 of the License, or (at
Packit aea12f
# your option) any later version.
Packit aea12f
#
Packit aea12f
# GnuTLS is distributed in the hope that it will be useful, but
Packit aea12f
# WITHOUT ANY WARRANTY; without even the implied warranty of
Packit aea12f
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Packit aea12f
# General Public License for more details.
Packit aea12f
#
Packit aea12f
# You should have received a copy of the GNU General Public License
Packit aea12f
# along with GnuTLS; if not, write to the Free Software Foundation,
Packit aea12f
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
Packit aea12f
Packit aea12f
srcdir="${srcdir:-.}"
Packit aea12f
CERTTOOL="${CERTTOOL:-../src/certtool${EXEEXT}}"
Packit aea12f
Packit aea12f
if ! test -x "${CERTTOOL}"; then
Packit aea12f
	exit 77
Packit aea12f
fi
Packit aea12f
Packit aea12f
if ! test -z "${VALGRIND}"; then
Packit aea12f
	VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND}"
Packit aea12f
fi
Packit aea12f
Packit aea12f
. "${srcdir}/scripts/common.sh"
Packit aea12f
Packit aea12f
TMPFILE=long.$$.pem.tmp
Packit aea12f
Packit aea12f
${VALGRIND} "${CERTTOOL}" --crl-info --inder --infile "${srcdir}/data/long.crl" --outfile $TMPFILE
Packit aea12f
if test $? != 0; then
Packit aea12f
	echo "CRL decoding failed 1!"
Packit aea12f
	exit 1
Packit aea12f
fi
Packit aea12f
Packit aea12f
check_if_equal "${srcdir}/data/long.pem" $TMPFILE "^warning"
Packit aea12f
if test $? != 0; then
Packit aea12f
	echo "CRL decoding failed 2!"
Packit aea12f
	exit 1
Packit aea12f
fi
Packit aea12f
Packit aea12f
rm -f $TMPFILE
Packit aea12f
Packit aea12f
exit 0